package com.company.testcollection.core;

import com.company.testcollection.entity.ServiceOrder;
import com.company.testcollection.entity.ServiceOrderItemDetail;
import com.haulmont.cuba.core.global.DataManager;
import org.springframework.stereotype.Service;

import javax.inject.Inject;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service(ServiceOrderService.NAME)
public class ServiceOrderServiceBean implements ServiceOrderService {

    @Inject
    private DataManager dataManager;

    public List<ServiceOrderItemDetail> getServiceOrderItemDetailListByServiceOrder(ServiceOrder serviceOrder) {
        String queryString = "select e from testcollection_ServiceOrderItemDetail e join e.serviceOrderItem i where i.serviceOrder=:serviceOrder";
        Map<String, Object> parameters = new HashMap<>();
        parameters.put("serviceOrder", serviceOrder);

        List<ServiceOrderItemDetail> serviceOrderItemDetailList = dataManager.load(ServiceOrderItemDetail.class)
                .query(queryString)
                .setParameters(parameters)
                .view("serviceOrderItemDetail-view")
                .list();

        return serviceOrderItemDetailList;
    }
}