package com.company.testcollection.entity;

import com.haulmont.cuba.core.entity.BaseLongIdEntity;
import com.haulmont.cuba.core.entity.HasUuid;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.UUID;

@Table(name = "TESTCOLLECTION_SERVICE_ORDER_ITEM")
@Entity(name = "testcollection_ServiceOrderItem")
public class ServiceOrderItem extends BaseLongIdEntity {
    private static final long serialVersionUID = -8577006093612666096L;

    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @JoinColumn(name = "SERVICE_ORDER_ID")
    @NotNull
    protected ServiceOrder serviceOrder;

    @NotNull
    @Column(name = "ORDER_QUANTITY", nullable = false)
    protected Double orderQuantity;

    @Column(name = "name")
    protected String name;

    @OneToMany(mappedBy = "serviceOrderItem", fetch = FetchType.EAGER)
    protected List<ServiceOrderItemDetail> serviceOrderItemDetails;

    public ServiceOrder getServiceOrder() {
        return serviceOrder;
    }

    public void setServiceOrder(ServiceOrder serviceOrder) {
        this.serviceOrder = serviceOrder;
    }

    public Double getOrderQuantity() {
        return orderQuantity;
    }

    public void setOrderQuantity(Double orderQuantity) {
        this.orderQuantity = orderQuantity;
    }

    public List<ServiceOrderItemDetail> getServiceOrderItemDetails() {
        return serviceOrderItemDetails;
    }

    public void setServiceOrderItemDetails(List<ServiceOrderItemDetail> serviceOrderItemDetails) {
        this.serviceOrderItemDetails = serviceOrderItemDetails;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}