package com.company.testcollection.web.screens.serviceorder;

import com.haulmont.cuba.gui.builders.EditMode;
import com.haulmont.cuba.gui.components.Button;
import com.haulmont.cuba.gui.components.EditorScreenFacet;
import com.haulmont.cuba.gui.components.GroupTable;
import com.haulmont.cuba.gui.model.CollectionContainer;
import com.haulmont.cuba.gui.screen.*;
import com.company.testcollection.entity.ServiceOrder;

import javax.inject.Inject;

@UiController("testcollection_ServiceOrder.browse")
@UiDescriptor("service-order-browse.xml")
@LookupComponent("serviceOrdersTable")
@LoadDataBeforeShow
public class ServiceOrderBrowse extends StandardLookup<ServiceOrder> {
    @Inject
    private EditorScreenFacet<ServiceOrder, ServiceOrderEdit> serviceOrderEditorScreen;
    @Inject
    private GroupTable<ServiceOrder> serviceOrdersTable;

    @Subscribe("createBtn")
    public void onCreateBtnClick(Button.ClickEvent event) {
        serviceOrderEditorScreen.setEditMode(EditMode.CREATE);
        serviceOrderEditorScreen.show().initInserted();
    }

    @Subscribe("editBtn")
    public void onEditBtnClick(Button.ClickEvent event) {
        serviceOrderEditorScreen.setEditMode(EditMode.EDIT);
        serviceOrderEditorScreen.setEntityProvider(() -> serviceOrdersTable.getSingleSelected());
        serviceOrderEditorScreen.show().initEdited();
    }
}